close all
clear all
clc


help plot
doc plot


%% PRIMJER 1.

% Nacrtati na istoj slici dva grafa: 
% graf funkcije y1(x) plavom punom linjom (opcija 'b-', default) 
% graf funkcije y2(x) tockama crvene boje (opcija 'r:')  
x = -2*pi:0.01:2*pi;
y1 = sin(x);
y2 = cos(x);

figure(1)
plot(x, y1, x, y2, 'r:')

% Na graf dodati oznake na x-y osima, koordinatnu mrezu, legendu, naslov i
% prikazati graf u intervalu [0, pi] po osi x i [-1.5 1.5] po osi y.
xlabel('x-os')
ylabel('y-os')
grid on
legend('Sinus', 'Kosinus')
title('Osnovne trigonometrijske funkcije')
axis([0 pi -1.5 1.5]) 
% ili 
%xlim([0 pi]), ylim([-1.5 1.5])

% Drugi nacin crtanja vise grafova na istoj slici je primjenom
% naredbe hold on
figure(2)
plot(x, y1, '.-k')
hold on
plot(x, y2, 'c')


%% PRIMJER 2.

% Dodavanje markera na graf u slucaju kada imamo graf definiran s velikim
% brojem tocaka

% U verziji MATLAB 2018 postoji opcija 'MarkerIndices'
% plot(x, y2, '-s', 'MarkerSize', 10, 'MarkerIndices', 1:10:length(y2))

figure(3)
MarkerIndices = 1:30:length(y2);               
plot(x, y2, 'r', x(MarkerIndices), y2(MarkerIndices), 's', 'MarkerSize', 10)



%% PRIMJER 3.

% Nacrtati na istoj slici 4 koordinatna sustava. 
% U svakom koordinatnom sustavu nacrtati jedan graf funkcije. 

x2 = 0:1e-3:10; y3 = x2.^2; y4 = sqrt(x2);

figure(4)

subplot(2, 2, 1)
plot(x, y1, 'r')

subplot(2, 2, 2)
plot(x, y2, 'r:', 'LineWidth', 2)

subplot(2, 2, 3)
plot(x2, y3, ':k')

subplot(2, 2, 4)
plot(x2, y4, '--k', 'LineWidth', 3)


%% PRIMJER 4.

% Nacrtati graf funkcije s logaritamskim mjerilom na y-osi

x3 = 1:0.1:7;
y5 = exp(x3);

figure(5)

subplot(121)
semilogy(x3, y5)
title('Lin-log mjerilo na osima')
grid on

subplot(122)
plot(x3, y5)
title('Lin-lin mjerilo na osima')
grid on



%% PRIMJER 5.

% Nacrtati graf funkcije dviju varijabli z = f(x, y) kao krivulju u 
% 3D Kartezijevom koordinatnom sustavu

theta = linspace(-4*pi, 4*pi, 100);
z = linspace(-2, 2, 100);
x4 = (z.^2 + 1).*sin(theta);
y6 = (z.^2 + 1).*cos(theta);

figure(6)
plot3(x4, y6, z)
xlabel('x-os')
ylabel('y-os')
zlabel('z-os')
grid on


%% PRIMJER 6.

% Nacrtati graf funkcije dviju varijabli z = f(x, y) kao povrinu u 
% 3D Kartezijevom koordinatnom sustavu

x5 = -2:0.1:2;
y7 = -2:0.1:2;
[X, Y] = meshgrid(x5, y7);

% funkcija meshgrid() stvara matrice X i Y na sljedeci nacin:
XX = ones(length(x5), 1)*x5;
YY = ones(length(y7), 1)*y7;

Z = sin(X).* sin(Y).*exp(-X.^2 - Y.^2);

figure(7)
surf(X, Y, Z)
xlabel('x-os')
ylabel('y-os')
zlabel('z-os')

figure(8)
mesh(X, Y, Z)
xlabel('x-os')
ylabel('y-os')
zlabel('z-os')

figure(9)
meshc(X, Y, Z)
xlabel('x-os')
ylabel('y-os')
zlabel('z-os')

figure(10)
meshz(X, Y, Z)
xlabel('x-os')
ylabel('y-os')
zlabel('z-os')

